In blockchains with sharded state, the SubNetworkIdentifier is required to query some object on a specific shard. This identifier is optional for all non-sharded blockchains.

export
interface

  RosettaNetworkListResponseSubNetworkIdentifier

### Hierarchy

- RosettaNetworkListResponseSubNetworkIdentifier

## Index

### Properties

- metadata
- network

## Properties

### Optional metadata

metadata: RosettaNetworkListResponseSubNetworkIdentifierMetadata

- Defined in src/generated/models/RosettaNetworkListResponseSubNetworkIdentifier.ts:40

memberof

  RosettaNetworkListResponseSubNetworkIdentifier

### network

network: string

- Defined in src/generated/models/RosettaNetworkListResponseSubNetworkIdentifier.ts:34

Network name

memberof

  RosettaNetworkListResponseSubNetworkIdentifier

Generated using TypeDoc